Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.PROPERTY

    java.lang.Object
      java.lang.Enum<Video.PROPERTY>
          com.skype.api.Video.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Video.PROPERTY>

Enclosing class:
  Video

    public static enum Video.PROPERTY

extends java.lang.Enum<Video.PROPERTY>

Properties of the Video class

Enum Constant Summary
`convo_id` conference id to be able to identify remote/local video in the same call, type: Conversation
`debuginfo` space-separated string of tokens, type: String
`device_path` device path used by video object, type: String
`dimensions` This property does not currently work, always containing an empty string.
`error` 'errorcode errortext' , type: String
`media_type` Indicates whether the video object is streaming webcam video or screensharing session, values: MEDIA_SCREENSHARING, MEDIA_VIDEO , type: MEDIATYPE
`status` Video.STATUS, type: STATUS

Method Summary
`static Video.PROPERTY` | `fromString(java.lang.String s)`
`static Video.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Video.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### status

    public static final Video.PROPERTY status

  Video.STATUS, type: STATUS

### error

    public static final Video.PROPERTY error

  'errorcode errortext' , type: String

### debuginfo

    public static final Video.PROPERTY debuginfo

  space-separated string of tokens, type: String

### dimensions

    public static final Video.PROPERTY dimensions

  This property does not currently work, always containing an empty string. For desktop video, you can get the frame dimensions from the video frame buffers API instead - the buffer struct retrieved with ipc.getFrame() or ipc.getNewFrame() has width and height fields, which you can then use in your UI. With RTP video solutions, you already have the frame sizes in your videohost code. Communicating these to the UI process is currently up to you.
  , type: String

### media_type

    public static final Video.PROPERTY media_type

  Indicates whether the video object is streaming webcam video or screensharing session, values: MEDIA_SCREENSHARING, MEDIA_VIDEO
  , type: MEDIATYPE

### convo_id

    public static final Video.PROPERTY convo_id

  conference id to be able to identify remote/local video in the same call, type: Conversation

### device_path

    public static final Video.PROPERTY device_path

  device path used by video object, type: String

Method Detail

### values

    public static Video.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.PROPERTY c : Video.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Video.PROPERTY get(int code)

### fromString

    public static Video.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.